unpack200(1)

NAME
unpack200 - JAR Unpacking tool

SYNOPSIS
unpack200 [ OPTIONS ] input-file JAR-file

PARAMETERS
The options may be in any order. The last option on the command line supersedes all previously specified options. For a discussion of the options, see OPTIONS below.

input-file
    name of the input file, which can be a pack200 gzip file or a pack200 file. The input could also be JAR file produced by pack200(1) with an effort of 0. In this case, the contents of the input file will be copied to the output JAR file, with the Pack200 marker.

JAR-file
    name of the output JAR file.

DESCRIPTION
The unpack200 tool is a native implementation that transforms a packed file produced by pack200(1) into a JAR file.

Typical usage:

    % unpack200 myarchive.pack.gz myarchive.jar

In this example, the myarchive.jar is produced from myarchive.pack.gz using the default unpack200 settings.

OPTIONS

-Hvalue --deflate-hint=value
    Sets the deflation to be true, false, or keep on all entries within a JAR file. The default mode is keep. If true or false, overrides the default behavior and sets the deflation mode on all entries within the output JAR file.

Non-Standard Options

-r --remove-pack-file
    Removes the input packed-file.

-v --verbose
    Outputs minimal messages, multiple specification of this option will output more verbose messages.

-q --quiet
    Specifies quiet operation with no messages.

-lfilename --log-file=filename
    Specifies a log file to output messages.

EXIT STATUS
The following exit values are returned:

0  Successful completion.

>0  An error occurred.

SEE ALSO
pack200(1), jar(1), jarsigner(1), attributes(5)

For API specification and other related information:
    http://java.sun.com/j2se/5.0/docs http://java.sun.com/j2se/5.0/docs/guide/deployment/deployment-guide/pack200.html

NOTES:
This command should not be confused with unpack(1). They are distinctly separate products.

The J2SE API Specification provided with the JDK release is the superseding
    authority, in case of discrepancies.